blob_id
stringlengths
40
40
language
stringclasses
1 value
repo_name
stringlengths
4
115
path
stringlengths
2
970
src_encoding
stringclasses
28 values
length_bytes
int64
31
5.38M
score
float64
2.52
5.28
int_score
int64
3
5
detected_licenses
listlengths
0
161
license_type
stringclasses
2 values
text
stringlengths
31
5.39M
download_success
bool
1 class
1fce8fa15624cbb27edf7819d34305d8675b049f
Shell
aryantaheri/scripts
/network/create-inf.sh
UTF-8
1,213
3.515625
4
[]
no_license
#!/bin/bash from=$1 to=$2 cidr="172.16" netmask="24" # eth1 ip address: 255.255.255.x # network num: a # interface ip address: 172.16.a.x x=$(ip a show eth1 | sed -nr 's/.*inet (addr:)?(([0-9]*\.){3}([0-9]*)).*/\4/p') output="/etc/network/interfaces" ## append template to /etc/network/interfaces #iface ex-secnet1 ...
true
cb806c38f02030d40a5246066427b79f5f59a02a
Shell
thorgate/django-project-template
/{{cookiecutter.repo_name}}/scripts/deploy/create-sentry-release.sh
UTF-8
359
2.78125
3
[ "ISC" ]
permissive
#!/usr/bin/env bash set -e DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )" . ${DIR}/sentry-env.sh echo_cyan "Creating new release ${CI_COMMIT_TAG} for ${SENTRY_ORGANIZATION}/${SENTRY_PROJECT}" echo_cyan " Api root: ${SENTRY_URL}" sentry-cli releases --org="${SENTRY_ORGANIZATION}" new -p ...
true
f023d272ad8a26cfa145e841a33e69f5b90d6603
Shell
bah-insignia/zcmd
/devutils/s3get-sudo.sh
UTF-8
752
3.796875
4
[ "MIT" ]
permissive
#!/bin/bash if [ ! $# -eq 2 ]; then echo "$0 SOURCE_OBJECT_KEY DESTINATION_FILEPATH [SET_OWNER_GROUPNAME]" exit 1 fi KEY=$1 LOCALNAME=$2 SET_OWNER_GROUPNAME=$3 source $HOME/zcmd/devutils/default-docker-env.txt #Get the path now because SUDO ROOT MIGHT not have it on the path! AWS_PATH=$(which aws) CMD="sudo $A...
true
0bd8ec0124d194a87cb3a9eb03480e0b33e5b3bc
Shell
c0sco/zsh-ezcolors
/zsh-ezcolors.plugin.zsh
UTF-8
344
2.71875
3
[]
no_license
# From https://pthree.org/2009/12/18/add-colors-to-your-zsh-scripts/ autoload colors if [[ "$terminfo[colors]" -gt 8 ]]; then colors fi for COLOR in RED GREEN YELLOW BLUE MAGENTA CYAN BLACK WHITE; do eval export $COLOR='$fg_no_bold[${(L)COLOR}]' eval export BOLD_$COLOR='$fg_bold[${(L)COLOR}]' done eval expo...
true
241c2905b7219f6a46892aaed166e6f799498dc7
Shell
sshao/549-gusty
/fg_bg_segm/end-end-lat.sh
UTF-8
437
2.78125
3
[]
no_license
#!/bin/bash mkdir -p end-end-lat for (( w = 1; w <= 10; w += 1 )) do mkdir -p end-end-lat/run-$w ./blobdetect | awk '$1=="sending"{print $4,$5,$6,$7,$8}' >> end-end-lat/run-$w/run.txt & sleep 60; pkill blobdetect; sleep 5 # YO KEEYOUNG # idk why but that sleep 5 at the end fixed things # runs just ...
true
e39344403f58c65d1270668e2bd3b5433beb7e87
Shell
huzhifeng/express-gallary
/tools/thumbnailer.sh
UTF-8
1,067
3.765625
4
[ "MIT" ]
permissive
#!/bin/bash photo_dir='.' if test $# -gt 0; then photo_dir=$1 fi thumbnail_dir='_thumbnail' # Create thumbnail for Images by epeg for file in `find $photo_dir -type f -name "*.jpg"` do if [[ "$file" == *thumbnail* ]]; then continue; fi thumbnail_file="${file%/*}/${thumbnail_dir}/${file##*/}" if [ -e $thumb...
true
ea578477db1e5cb76dac58f11bf30656e878d5d9
Shell
KyWa/dotfiles
/install.sh
UTF-8
1,931
3.671875
4
[]
no_license
#!/bin/bash # Check for existing Bashrc if [[ -f $HOME/.bashrc ]];then mv $HOME/.bashrc $HOME/.bashrc.bak fi # Check for existing Vimrc if [[ -f $HOME/.vimrc ]];then mv $HOME/.vimrc $HOME/.vimrc.bak fi # Check for existing Ansiblecfg if [[ -f $HOME/.ansible.cfg ]];then mv $HOME/.ansible.cfg $HOME/.ansible....
true
57e97fe72fc69890fd5eb2c854d120f2b0a09fb7
Shell
bigharshrag/FileSync
/lsyncScript.sh
UTF-8
489
3.015625
3
[]
no_license
#!/bin/bash sudo apt-get install lsyncd # make the log files sudo mkdir /var/log/lsyncd sudo touch /var/log/lsyncd/lsyncd.{log,status} sudo mkdir /etc/lsyncd echo -n "Enter the path to the source folder to sync :" read source_path sed -i "s#replacesource#$source_path#g" custom.lua read -p "Enter SSH username :" us...
true
21e3cf5937bb4f5273073d9c7f4a87a6cba742ba
Shell
rkhozinov/vyos-ami-build-scripts
/push-image-to-aws
UTF-8
1,474
3.703125
4
[]
no_license
#!/usr/bin/env bash set -u set -e if [ ! -f $1 ]; then echo "Usage: $0 <image.vhd>" exit 1 fi image=$1 # How to push a VHD file to EC2 # TODO: make an S3 bucket; I'm assuming that trickv-vyos-import exists import_output=`mktemp /tmp/import_output.XXXXXX` ec2-import-volume $image -f VHD --region ap-south...
true
0951f71aba54f4012386469864c41002f7a899c5
Shell
wcventure/PERIOD
/evaluation/NEW/lrzip/build.sh
UTF-8
2,287
2.921875
3
[ "MIT" ]
permissive
#!/bin/bash # For Mac if [ $(command uname) == "Darwin" ]; then if ! [ -x "$(command -v greadlink)" ]; then brew install coreutils fi BIN_PATH=$(greadlink -f "$0") ROOT_DIR=$(dirname $(dirname $(dirname $(dirname $BIN_PATH)))) # For Linux else BIN_PATH=$(readlink -f "$0") ROOT_DIR=$(dirname $(dirname $(dirnam...
true
a9a90aed56d9154f064177faad085085e10202f7
Shell
shunlir/opengrok-docker
/fs/opt/bin/grok_index
UTF-8
743
3.046875
3
[]
no_license
#!/bin/bash # # TODO: --noIndex makes the webinterface project list empty # show_info=true if [ "$1" = "-h" ]; then echo "Usage: $(basename $0) [--noIndex]" exit 0 elif [ "$1" == "--init" ]; then show_info=false shift fi [ -f "$(dirname $0)/init" ] && . "$(dirname $0)/init" indexer_exit_if_running [ "$...
true
bb423187b568f30c305e78974b879c88c05f8f28
Shell
agolovanov/Quill
/quill3d/run.sh
UTF-8
1,059
3.96875
4
[ "MIT" ]
permissive
#!/bin/bash # we do not want the script to continue if anything fails set -e if [ ! -f ../quill3d-conf/quill.conf"$1" ]; then echo "Config file ../quill3d-conf/quill.conf$1 not found! Create it or copy from ../quill3d-conf/example" exit 1 fi # Create data folder if not exist; copy config file into it folder=...
true
ad174d99f8581b6f0324b6b84184cb44e5759d86
Shell
beaukode/docker-cron-backup
/dobackup.sh
UTF-8
304
3.0625
3
[ "MIT" ]
permissive
#!/bin/bash source /env.sh export BACKUP_PREFIX=`date +%Y-%m-%d_%H-%M-%S` export BACKUP_TMP="/tmp/$BACKUP_PREFIX" echo "[`date`] Starting backup" echo "[`date`] Création temp directory : $BACKUP_TMP" mkdir $BACKUP_TMP /dodump.sh /docompress.sh /dosend.sh rm -Rf $BACKUP_TMP echo "[`date`] Backup done"
true
5340a7fbd17902bc46d30a50ae38047f41bde705
Shell
fsx950223/addons
/tools/ci_build/builds/release_linux.sh
UTF-8
1,642
2.8125
3
[ "Apache-2.0", "LicenseRef-scancode-warranty-disclaimer" ]
permissive
#!/usr/bin/env bash # Copyright 2019 The TensorFlow Authors. All Rights Reserved. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless...
true
f78813bf26788eedbe99098784ef6da9cac28ce7
Shell
alexanderzgg/Project1
/makefile.sh
UTF-8
811
3.5
4
[]
no_license
#makefile for lab 2 pass off cases NUM?=2 numbers_80=0 1 2 3 4 5 6 7 8 numbers_100=0 1 2 tests=Lab$(NUM)PassOffCases .SILENT:run run: (echo "BUCKET 80") ; \ for number in $(numbers_80) ; \ do \ echo "Running input$$number" ; \ ./lab$(NUM) $(tests)/$(NUM)-80/input$$number.txt > $(tests)/out.txt ; \ diff -w $(...
true
dc322116c5bff15e23dea42f373bdcaab3ea3742
Shell
petr-tik/petr-tik.github.io
/content-org/remote_dev.sh
UTF-8
2,151
3.640625
4
[]
no_license
#!/usr/bin/env bash is_connected () { echo $(nc -z $VPS_IP 22) } is_project_big () { # get a list of directories with interesting rust code - either src or tests DIRECTORIES=$(find . -maxdepth 1 -type d | grep "src\|test" | cut -c 3-); # get the total LoC in any .rs files in these directories LOC_...
true
b76c80c86a7ac8c68fe82a9297353476999e62ef
Shell
williangringo/ngx_pagespeed
/test/nginx_system_test.sh
UTF-8
89,960
3.515625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Copyright 2012 Google Inc. # # Licensed under the Apache License, Version 2.0 (the "License"); # you may not use this file except in compliance with the License. # You may obtain a copy of the License at # # http://www.apache.org/licenses/LICENSE-2.0 # # Unless required by applicable law or agreed ...
true
f6111e2b5b63cd03b83a14a113e6cbbfe651be8d
Shell
cy20lin/crouton_backup
/crouton/bin/unmount-chroot
UTF-8
18,675
4.375
4
[]
no_license
#!/bin/sh -e # Copyright (c) 2016 The crouton Authors. All rights reserved. # Use of this source code is governed by a BSD-style license that can be # found in the LICENSE file. set -e APPLICATION="${0##*/}" ALLCHROOTS='' BINDIR="`dirname "\`readlink -f -- "$0"\`"`" CHROOTS="`readlink -m -- "$BINDIR/../chroots"`" EXC...
true
54aab35206f24c726b73c660836e451a47d2cde9
Shell
aeiouaoeiuv/wifi_rootfs_XiaoMi
/usr/sbin/guest_ssid_network
UTF-8
2,855
3.375
3
[]
no_license
#! /bin/sh # use this script to prepare firewall and dhcp for guest wifi usage () { echo "$0 start <ipaddr> <netmask>" echo "$0 stop" exit 1 } start_guest() { local ip="$1" local mask="$2" uci -q batch <<EOF set network.eth0_3=switch_vlan set network.eth0_3.device=eth0 set network.eth0_3.vlan...
true
ead44f93bd2a77e78562100f495b817cf859f121
Shell
hyraxZK/pws
/experiments/plot_all.sh
UTF-8
643
2.78125
3
[ "Apache-2.0" ]
permissive
#!/bin/bash exec 3< <( cd lanczos2 ; ./process.sh ; ./plot.sh ) exec 4< <( cd matmult ; ./process.sh ; ./plot.sh ) exec 5< <( cd SHA256 ; ./process.sh ; ./plot.sh ) LEGEND="-L Hyrax-$\nicefrac{1}{2}$ -L Hyrax-$\nicefrac{1}{3}$ -L Hyrax-naive -L BCCGP-sqrt -L Bulletproofs -L ZKB++ -L Ligero" FILES="-f SHA256/out/merkl...
true
810da1f77f51a64e9852b628772111c592c91a33
Shell
toshiakiasakura/backup_vim_bash
/.bash_aliases
UTF-8
3,544
2.890625
3
[]
no_license
# for convenient purpose alias open="xdg-open" alias jpt_lab="jupyter lab" alias pwdcp="pwd | pbcopy" alias ctf="cd ~/Desktop/programming/ctf" alias searchKokushi="cd /Users/Toshiaki/Desktop/medicine/prj_kokushi/src && python kokushiSearch.py" alias o.="open ." alias snippets="cd ~/.local/share/jupyter/snippets" alias ...
true
74b69845504d6339079d872c6fa23ed1e89d0c3b
Shell
arendtio/mdl.sh
/development/module/dependency/updatable/spec/assets/updateable-by-recursion-1.0.0.sh
UTF-8
452
2.6875
3
[]
no_license
#!/bin/sh set -eu # check number of arguments if [ "$#" -ne 0 ]; then printf 'Invalid number of arguments\n' >&2 exit 64 fi # the purpose of this module is to reference a module that references an outdated version # referencing the updateable-by-outdated-reference-1.0.0 module module "updateableByOutdatedReference...
true
270adbffa562f90f97586a75a00adb440e814c5e
Shell
Sixtease/CorpusMakoni
/scripts/delete-unused-splits.sh
UTF-8
390
2.96875
3
[]
no_license
#!/bin/bash ls_cmd="${1:-gsutil ls gs://karel-makon-splits/splits/}"; shift rm_cmd="${1:-gsutil -m rm}"; shift while read stem; do torm=$( $ls_cmd$stem/*/ | while read url; do bn=`basename "$url"` if grep -q "$bn" split-meta/"$stem".jsonp; then : else ec...
true
26766c94f1fe7b01894aae6dfe937ea3f02ab474
Shell
FH-Potsdam/tombola
/shell/tombola.sh
UTF-8
702
3.765625
4
[ "MIT" ]
permissive
#!/bin/zsh main(){ # the attendees arr=("Duffy Duck" "Some Body" ) # check if homebrew is installed if hash brew 2>/dev/null; then echo "homebrew is installed" else # no homebrew? install it echo "installing homebrew" ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" bre...
true
6045b49cb5c3c5e06c7cde8ca180435e532665ee
Shell
rchain/rchain-testnet-node
/rundeck-scripts/dump-java-heap
UTF-8
236
2.53125
3
[]
no_license
#!/bin/bash set -e -o pipefail source "$(dirname $0)/functions" node_pid="$(get_node_pid)" check_diag_directory out_file="$DIAG_DIR/heapdump.$(get_current_timestamp).hprof" logcmd jcmd $node_pid GC.heap_dump "$out_file" sync-diag-dir
true
10996af242221938732c4623c803a5bc18af8e0c
Shell
powerpak/pathogendb-pipeline
/scripts/pathogendb-upload-illumina-data.sh
UTF-8
520
2.625
3
[]
no_license
#!/bin/sh # 17.03.2019 12:56:56 EDT # Harm van Bakel <hvbakel@gmail.com> module purge all module load python/2.7.6 module load py_packages/2.7 module load blat module load bioperl module load ucsc-utils/2015-04-07 module load openssl/1.0.2 for i in ER*prokka do cwd=`pwd` name=`basename $i _prokka` cd $i ...
true
1b30b20cf36d072b40a7aadbf7069a3fd363eda8
Shell
brookingcharlie/kubernetes-notes
/basics/run.sh
UTF-8
1,539
2.6875
3
[]
no_license
#!/bin/bash # Install kubectl (with man pages and bash/zsh completion) brew install kubernetes-cli # Remove existing symlink from /usr/local/bin/kubectl to Docker Desktop's bundled kubectl. brew link --overwrite kubernetes-cli brew install minikube kubectl apply -f configmap.yaml kubectl create secret generic web -...
true
142cc21a609c024a7d690b8d4353b97116157864
Shell
taqtiqa-admin/oci-jupyter-base
/bob/scripts/alpine/3.7/user/install.sh
UTF-8
304
2.75
3
[ "Apache-2.0", "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env sh # No Requires for f in /etc/profile.d/*; do source $f; done OCI_USER=${OCI_USER:-bob} user_name=${1:-$OCI_USER} adduser -h /home/${user_name} -G 'wheel' -S -s /bin/ash ${user_name} passwd -d ${user_name} passwd ${user_name}<<EOF ${user_name}${user_name} ${user_name}${user_name} EOF
true
eea72af345e53f747016ac8a891faec565990339
Shell
joetm/jonaso
/reading_list/metadata-shell.BAK.sh
UTF-8
1,965
3.625
4
[]
no_license
#!/usr/bin/env bash # the folders to search for BASEPATHS[0]="/home/jonas/OULU/Literatur/" BASEPATHS[1]="/home/jonas/FU/IKON/Literatur" BASEPATHS[2]="/home/jonas/FU/Misc/" echo "Mining pdfs" # echo "Mining pdfs in the following folders:" # printf " %s\n" "${BASEPATHS[@]}" # reset reading list truncate -s 0 reading...
true
8e96e090f88bf09a884d13fed73864e2484f8e31
Shell
anusree/tools
/openstack/list_all_users_ina_project.sh
UTF-8
267
3.515625
4
[]
no_license
#/bin/sh if [ $# -eq 0 ] then echo "Please enter a project name" exit 1 fi PROJECT_NAME=$1 PROJECT_INFO=$(openstack project show $PROJRCT_NAME) if [ $? -eq 0 ] then openstack user list --project $PROJECT_NAME else echo "Project $PROJECT_NAME does not exist" fi
true
8387068ca8401c9fadc1d823a5290c0dac831486
Shell
wedevelopnl/silverstripe-cypress
/scripts/provision-assets.sh
UTF-8
175
2.609375
3
[ "BSD-3-Clause" ]
permissive
#!/bin/bash set -e mkdir -p ./public/assets if [ -d "./public/assets/" ]; then cp -r "./dev/docker/silverstripe/assets/." "./public/assets/" fi echo "All assets copied."
true
0e315a052188373751bd6353e2ed0ee2b5cd49df
Shell
wing-888/MOR_X5_FROM_VM
/x5/maintenance/test_fix_scripts/asterisk/etc_asterisk_extensions_mor_conf_h323_include.sh
UTF-8
2,282
3.734375
4
[]
no_license
#! /bin/sh # Author: Mindaugas Mardosas # Year: 2010 # About: # # This script checks that: # #1. /etc/asterisk/extensions_mor_h323.conf must be included into extensions_mor.conf #2. /etc/asterisk/extensions_mor.conf must be included in extensions.conf #3. /etc/asterisk/asterisk.conf must have...
true
0d6516097486f3e1458b76308df917e82831c27e
Shell
Tell1/ml-impl
/com.github.tellmp.ml-algorithms/hmm_matlab/nilmbee-master/sw/firmware/batchprogram.sh
UTF-8
738
3.84375
4
[]
no_license
#!/bin/bash if [ "$#" -lt 1 ]; then echo "Usage: batchprogram.sh node_id [last_node_id]" echo "Program a single node or multiple nodes from node_id to last_node_id (inclusive)" else s="$1" if [ -z "$2" ]; then echo "const uint8_t NODE_ID = $s;" > nodeid.h echo "Press any key to programm...
true
3f4bf3b9dd3cbbc5d68639f3d939e7a520452159
Shell
justcompile/midgard
/scripts/build-plugins.sh
UTF-8
246
3.171875
3
[]
no_license
#!/bin/bash cwd="${PWD}" function finish { cd "$cwd" } trap finish EXIT ERR find plugins -d 1 -type d | while read line; do name=$(basename $line) GO111MODULE=auto go build -buildmode=plugin -o "${name}.so" "$cwd/$line" done
true
53618a343419f07210e8d4d38f00160dc68753d6
Shell
dey600r/MTM
/Utils/Versions/deploy-release-android.sh
UTF-8
1,535
3.125
3
[]
no_license
#!/bin/bash path=$1 version=$2 prod=$3-android pass=$4 alias=$5 free="_" case $prod in *free*) free="_Free_"; esac echo "----> BUILDING ANDROID ON VERSION $version USING $prod WITH PATH $path AND $free <----"; path_version=$path/Utils/Versions/Android/MtM$free$version path_key=$path/Utils/Versions/Android path_re...
true
04af0656cb560cce568efe01d0027753af97584e
Shell
MISAKIGA/general_scripts
/linux_shell/安装docker/auto-install-docker-program.sh
UTF-8
1,675
4.03125
4
[ "MIT" ]
permissive
#!/bin/bash unzipDir="/usr/local/docker/" #初始化 init(){ echo "init" if [ ! `ls | grep docker-in.tar`];then echo "请检查当前路径是否存在docker-in.tar" exit 2 fi echo "解压到$unzipDir" tar -zxvf ./docker-in.tar -C $unzipDir if [ ! $? -eq 0 ];then ...
true
f6d1c7434e312a664e9cede62aaa5852742a645e
Shell
apetrisor/nox-kit
/cli.js
UTF-8
630
2.609375
3
[]
no_license
#!/usr/bin/env bash if [ "$1" = "dev" ]; then echo "Starting dev environment..." env $(cat .env | xargs) ./node_modules/.bin/postcss ./src/assets/global.pcss -o ./static/css/global.css --config ./node_modules/@apetrisor/nox-kit env $(cat .env | xargs) ./node_modules/.bin/sapper dev --build-dir ./nox/dev elif [ "$1"...
true
53ccc971c78e040b7fed34eeefd66663cca080b3
Shell
HiramHe/FACS
/.travis/travis_before_install.sh
UTF-8
411
3.25
3
[ "MIT", "GPL-1.0-or-later" ]
permissive
#!/usr/bin/env bash export PATH=$HOME/miniconda3/bin:$PATH if test -e $HOME/miniconda3/bin; then echo "miniconda already installed." else rm -rf $HOME/miniconda3 wget http://repo.continuum.io/miniconda/Miniconda3-latest-Linux-x86_64.sh -O miniconda3.sh chmod +x miniconda3.sh ./miniconda3.sh -b -p...
true
70effe9c538db5e183dab8777f3672f80d8b5abf
Shell
uk-gov-mirror/ministryofjustice.opg-lpa
/scripts/non_live_seeding/seed_environment.sh
UTF-8
2,809
3.921875
4
[]
no_license
#!/usr/bin/env sh # The following variables are set from docker-compose when run locally, # from ECS container definitions when run as a task in AWS, # or from scripts/non_live_seeding/.envrc when executed manually from a SSH terminal. # OPG_LPA_STACK_NAME # OPG_LPA_STACK_ENVIRONMENT # OPG_LPA_POSTGRES_HOSTNAME # OPG_L...
true
e8de0bb79b88c17467956c4b5dd5d5d5c4ff8fa8
Shell
ray-project/ray
/ci/run/run_bazel_test_with_sharding.sh
UTF-8
934
3.796875
4
[ "MIT", "BSD-3-Clause", "Apache-2.0" ]
permissive
#!/bin/bash # shellcheck disable=SC2046 # Shard bazel tests and then run bazel test # Passes arguments through set -x test_tag_filters="" optional_args=() targets=() for arg in "$@"; do shift if [[ "${arg:0:19}" == "--test_tag_filters=" ]] then test_tag_filters="${arg:19}" elif [[ "${arg:0:1}...
true
272e0280a7d32e2944eb237a346a330038a79bf4
Shell
bonnetb/quickstart
/ArjunaJTS/standalone/run.sh
UTF-8
931
2.84375
3
[]
no_license
#!/bin/sh # ALLOW JOBS TO BE BACKGROUNDED set -m JDKORBPROPS="-DOrbPortabilityEnvironmentBean.orbDataClassName=com.arjuna.orbportability.internal.orbspecific.versions.javaidl_1_4 -DOrbPortabilityEnvironmentBean.orbImpleClassName=com.arjuna.orbportability.internal.orbspecific.javaidl.orb.implementations.javaidl_1_4" ...
true
c349fb192300e4d6f4b0b681f9178f0aff049382
Shell
therealromster/crux-ports-romster
/games/pingus-levels/pingus-levels
UTF-8
586
3.421875
3
[]
no_license
#!/bin/sh PINGUS_DIR=/usr/share [ -x $PINGUS_DIR/games/pingus ] || PINGUS_DIR=$(pwd)/$(dirname $0)/.. [ -x $PINGUS_DIR/games/pingus ] || PINGUS_DIR=$(dirname $0)/.. [ -f /$(type -P zenity) ] || echo zenity not found cd $PINGUS_DIR/games/pingus/levels/ok exec >/dev/null 2>&1 f=1 while [ "$f" != "" ] do f="$(zenity --...
true
b865ae26d67948ae2109ef68563a8d286a77f86e
Shell
ab08028/OtterExomeProject
/scripts/scripts_20180521/analyses/TREEMIX/treemix_Step_1_runTreemix.snp7.GoodParameters.sh
UTF-8
2,619
2.671875
3
[]
no_license
######## can run in the shell (is very fast) ######## # after a lot of testing of treemix paramters (see sandbox scripts) # I have found that the paramters that yield the most sensical tree are: # -k 500 (or any amount of ld pruning); -global (from Gauntiz paper); use sample size correction (don't disable with -noss); ...
true
1241a1c6d3eda0daec87fcad7915da6342931aaa
Shell
PhilipJLudlam/horde
/bin/quicklyGenerateHordeEBuilds.sh
UTF-8
3,214
3.703125
4
[]
no_license
#!/bin/bash rm -rf /tmp/generateHordeEBuilds/temp_* mkdir -p /tmp/generateHordeEBuilds indexpage="/tmp/generateHordeEBuilds/pear.horde.org-index.html" if [ ! -e ${indexpage} ]; then echo "Information from the Horde website has not been downloaded." echo "Please run generateHordeEBuilds.sh first." exit 1 ...
true
72a58b4975b9ddf89f30f6eec1136dfe3462b2f7
Shell
mitsu9/dotfiles
/zsh/zshrc
UTF-8
5,961
2.828125
3
[]
no_license
################ ## キーバインド ## ################ bindkey -e ################## ## 文字コード関係 ## ################## # 文字コードの設定 export LANG=ja_JP.UTF-8 # 日本語ファイル名を表示可能にする setopt print_eight_bit ########### ## 色関係 ## ########### # 色の使用できるようにする autoload -U colors; colors # PROMPT変数内で変数参照する setopt prompt_subst # プロンプト表示 local ...
true
41c539e5d18b137c584ae0e8287073b287c7c86c
Shell
outsideris/.vim
/dotfiles/extensions/tmux-powerline/segments/np_mpd_simple.sh
UTF-8
688
3.578125
4
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash # Simple np script for mpd. Works with streams! # Only tested on OS X... should work the same way on other platforms though. trim_method="trim" # Can be {Trim or roll). max_len=40 # Trim output to this length. roll_speed=2 # Roll speed in chraacters per second. segment_path=$(dirname $0) source...
true
3dcdda349d82f405367925f8be19856e6747af79
Shell
hpchud/vcc-torque
/hooks/headnode.sh
UTF-8
604
3.015625
3
[]
no_license
#!/bin/bash # service hook for torque server # $1 is set to the value of the service key, in this case, will be the torque server # the hooks can be customised in different images to perform different tasks echo $1 > /var/spool/torque/server_name # configure the mom if we have it echo "\$pbsserver $1" > /var/spool/...
true
63ccdc5f3a6cbcfce3f169676f0997a9884ee949
Shell
adibodas/CS2043_PS2
/wordfreq.sh
UTF-8
779
2.921875
3
[]
no_license
#!/bin/bash find ./tweets -maxdepth 1 -type f -name "*.txt" -exec wc -w {} \; | sort -n > freqlist.txt tail -n 1 freqlist.txt | awk '{print $1}' > max_words.txt head -n 1 freqlist.txt | awk '{print $1}' > min_words.txt rm -r freqlist.txt cd tweets numwords="$(wc -w *.txt | tail -n 1 | awk '{print $1}')" numtweets="$(l...
true
23e2aee69715a6de2c94bb37a7e02217bcfc61b2
Shell
bveratudela/audit
/sqoop/sqoop-hue.sh
UTF-8
1,866
3.140625
3
[]
no_license
#!/bin/sh source ../common.properties TABLE_NAME=hue LANDING_ZONE=${PARENT_ZONE}/landing/${TABLE_NAME} function import() { # DB_QUERY='SELECT "0.0.0.0", a.username, "hue", UNIX_TIMESTAMP(a.last_login) from hue.auth_user a, hue.auth_user_groups b, hue.auth_group c WHERE $CONDITIONS AND a.id = b.user_id and b.group...
true
da4e5e090fa29ca943b5dca21620b1e3c95d5385
Shell
DevKleber/DotFiles
/fonts/roboto.sh
UTF-8
461
3.6875
4
[]
no_license
#!/bin/bash echo "Instalando Roboto" path="$pwd/fonts/files" name_folder="Roboto" folder_zip="$name_folder.zip" if [ ! -d "/usr/share/fonts/$name_folder" ]; then wget -c "https://fonts.google.com/download?family=Roboto" --output-document="$path/$folder_zip" unzip $path/$folder_zip -d $path/$name_folder ...
true
d014b4a643597b6f71e42d867088413625b620e1
Shell
chrissikath/C.Elegans
/20211022_EasySpliceVariantAnalyses/visualization_splice_variants.sh
UTF-8
2,425
3.1875
3
[]
no_license
#!/bin/sh #Author Christina Kuhn @github: https://github.com/chrissikath # pre-used scripts from Alex # Shell Script, welches anhand von RNA-Seq Dateien Splice-Varianten findet Part 2 # R version: 3.6 # BiocManager::install(version = "3.10") # R-Packages installieren #1.0 files GENOME="/home/horn/2021_Celegans/2021...
true
6608f855ea265a38d326922fdfc3c3615137087d
Shell
omniti-labs/omniti-ms
/build/nginx/build.sh
UTF-8
2,475
2.78125
3
[]
no_license
#!/usr/bin/bash # # CDDL HEADER START # # The contents of this file are subject to the terms of the # Common Development and Distribution License, Version 1.0 only # (the "License"). You may not use this file except in compliance # with the License. # # You can obtain a copy of the license at usr/src/OPENSOLARIS.LICEN...
true
d6872b00e3053c389bbb6561128ccd57c80e1c98
Shell
jdidat/Assembly-projects
/BashScripting/hello_world.sh
UTF-8
94
2.609375
3
[]
no_license
#!/bin/bash #declare STRING variable STRING="Hello World" #pring variable on a screen echo $STRING
true
f47179b7a653a8869cc1cb1ea7a60bacc4615a03
Shell
XamLua/itmo-3
/OSP/l3/13.bash
UTF-8
1,815
3.734375
4
[]
no_license
#!/bin/bash shopt -s expand_aliases alias id='/usr/xpg4/bin/id' tres="" res="" user="$USER" if ! getent passwd "$user" > /dev/null ; then echo "No such user" exit 0 fi for file in $(ls $1) do if [ -f "$file" ]; then ouid=$(ls -n "$file" | nawk '{print $3}') ogid=$(ls -n "$file" | nawk '{print ...
true
6e118f525fcf7c458f92d1918176b5600bbe5f4a
Shell
me176c-dev/android_device_asus_K013
/firmware/fingerprint/addond.sh
UTF-8
448
2.609375
3
[ "Apache-2.0" ]
permissive
#!/sbin/sh # # ADDOND_VERSION=1 # # /system/addon.d/51-asus-fingerprint.sh # Change build fingerprint to the one from the stock ROM to pass Google Play certification. # # New fingerprint: %FINGERPRINT% # set -e case "$1" in post-restore) sed -i -e "s@^\(ro\.build\.fingerprint\)=.*@\1=%FINGERPRINT%@" "$S/bu...
true
a401ed5348227292c8d5e101cf825f7cc16d1715
Shell
Vicchio/palmetto_bin
/phase-finder.sh
UTF-8
971
3.71875
4
[]
no_license
#!/usr/bin/env bash # # Stephen Patrick Vicchio # 2019-11-11 # # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - # # Identifies the phase of an older job! # # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - # WORKDIR=$PWD input_file...
true
9fc5d4ed4ce0fdadeac0153f84ab55a32ca47727
Shell
Glasslock/LiteCloud
/contrib/init/ltcdd.init
UTF-8
1,263
3.625
4
[ "MIT" ]
permissive
#!/bin/bash # # ltcld The ltcl core server. # # # chkconfig: 345 80 20 # description: ltcld # processname: ltcld # # Source function library. . /etc/init.d/functions # you can override defaults in /etc/sysconfig/ltcld, see below if [ -f /etc/sysconfig/ltcld ]; then . /etc/sysconfig/ltcld fi RETVAL=0 prog=l...
true
05458196e14df3ca05bd3cbd1912ae5360f46389
Shell
ManticoreProject/manticore
/config/make-file-cache.sh
UTF-8
527
3.953125
4
[ "MIT" ]
permissive
#!/bin/sh # # COPYRIGHT (c) 2007 The Manticore Project (http://manticore.cs.uchicago.edu) # All rights reserved. # # Create a cache file for HLOp-definition and rewriting-rule files. # if test $# != "1" ; then echo "usage: make-file-cache <dir>" exit 1 fi case $1 in /*) ;; *) echo "make-file-cache: directory ...
true
262d0d4f42a46826834bd4bdc7cc6c594cb069b5
Shell
isahakukamil/circleci-101
/PassRestriction.sh
UTF-8
11,398
3.484375
3
[]
no_license
echo "************************************************************" echo "*******Script to Set Password Restiction on IN nodes********" echo "*********Name:Issahaku Kamil | UserID : EKAMISS*************" echo "************************************************************" #Create a backup directory,extract and append t...
true
e7a337144734d1c9c0e8f660a9332fadbd8918d2
Shell
jovanlanik/dotfiles
/stow/i3/.local/bin/i3-swap.sh
UTF-8
275
2.53125
3
[]
no_license
#!/bin/sh # Jovan Lanik's i3 swap script 1.0 # www.github.com/jovanlanik # clean and simple timeout=1.6 [ "$1" ] && mode="$1" || mode='drag' i3-msg "mode $mode" i3-msg "gaps inner all set 8" sleep $timeout i3-msg "mode default" i3-msg "gaps inner all set 2" i3-msg unmark swap
true
98da78eaf54ff85ce82346bfead2c5d9830291ff
Shell
AvanzaBank/astrix
/scripts/cd/build-and-test.sh
UTF-8
314
3.046875
3
[ "Apache-2.0" ]
permissive
#!/bin/bash -e # Script that executes integration tests (i.e. mvn verify) in a deterministic environment. pushd "${BASH_SOURCE%/*}/../.." echo "Executing Maven command in: '$PWD'" docker run -it --rm -v $PWD:/opt/javabuild avanzabank/ubuntu-openjdk8:0.1.2 /bin/bash -c "cd /opt/javabuild; ./mvnw clean verify"
true
4462093ac41f80b9caa39839c50626238777b7e1
Shell
xianlinfeng/Documents
/scip/applications/CycleClustering/check/configuration_tmpfile_setup_scip.sh
UTF-8
5,498
3.578125
4
[]
no_license
#!/usr/bin/env bash #* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * #* * #* This file is part of the program and library * #* SCIP --- Solving Constraint Integer Programs ...
true
f704482f936cdd1ceee2f02151fd7c60d293b82f
Shell
healthy8701/Caffe_Yolov3_Inference
/setup.sh
UTF-8
453
2.640625
3
[]
no_license
#!/bin/bash pushd convert if [ ! -f "yolov3.weights" ]; then wget -O yolov3.weights http://video.cambricon.com/models/CambriconECO/Caffe_Yolov3_Inference/yolov3.weights else echo "yolov3.weights exists." fi if [ ! -f "yolov3.caffemodel" ]; then wget -O yolov3.caffemodel http://video.ca...
true
cab5182e04e7f3bc4d3b409ee129c2a8af3da147
Shell
jimwangzx/KOZ1OLMENU
/K0Z1OLMENU.sh
UTF-8
2,189
3.28125
3
[ "MIT" ]
permissive
#! /bin/bash # MAIN MENU spinner=( '|' '/' '-' '\') spin(){ echo -n "Sprawdzam dostępność aktualizacji" for i in "${spinner[@]}" do echo -ne "." sleep 0.2 done } echo "$(tput setaf 3) ____________ _______ ______ _____ __ __ _____ ____ _______ __ / __/ ___/ _ \/ _/ _ /_ ...
true
2f03324d4f628aee5a53be9b1564fcfe851d5075
Shell
myrao/adt-tools-base
/profiler/deploy_perfd.sh
UTF-8
1,376
3.875
4
[]
no_license
#!/bin/bash if [[ "$PWD" != */tools/base/profiler ]]; then echo "You must call this script from .../tools/base/profiler" exit fi if [[ -z "$ANDROID_HOME" ]]; then echo "You must define the ANDROID_HOME enviroment variable" echo "This ensures we use the same adb binary that Studio uses" exit fi a...
true
9083ec4a88298c49f7166835dc8fce1e08d627d4
Shell
imsky/scripts
/firefoxbackup/firefoxbackup.sh
UTF-8
946
2.8125
3
[]
no_license
if [ $# -ne 2 ] then echo "Usage: firefoxbackup.sh [profile] [backup]" echo "Where [profile] is the existing Firefox profile directory and [backup] is the desired backup directory." exit fi mkdir $2 echo Copying Toolbar Customizations cp $1/localstore.rdf $2 echo Copying Bookmarks cp $1/places.sqlite $2 echo Copying...
true
cd246ad54b87075a28b641ec58c9c8f21f304535
Shell
xenolog/kargo-multirack
/CI/playbook_check_container_version.sh
UTF-8
896
3.828125
4
[ "Apache-2.0" ]
permissive
#!/bin/bash set -o errexit set -o nounset set -o pipefail function check_container_version { if [ "$TRAVIS_PULL_REQUEST_BRANCH" == "" ]; then echo "This check only for PR allowed, not for push." exit 0 fi local branch=$TRAVIS_BRANCH for TAG in $(cat cluster.yaml | grep bgpd_contai...
true
6022f4da5069b9fbcf254863c772633a4bfa6abe
Shell
AdrianLopezGue/UNIVERSITY
/PAS/PRACTICA 1/ejercicio2.sh
UTF-8
623
3.640625
4
[]
no_license
#!/bin/bash # COMPROBACION DE LOS ARGUMENTOS PASADOS if [ $# -gt 0 ] && [ $# -lt 3 ] then if [ $# -eq 1 ] then numerobytes=0 else numerobytes=$2 fi else echo "Tienes que introducir al menos un argumento" exit 1 fi nombredirectorio=$1 echo "Nombre, LongitudUsuario, FechaModificacion, FechaAcceso, Tamano, B...
true
1649b38903cda18948deaf791cc049d88eff7077
Shell
malkomich/unix-exercices
/pr3/2/ej1.sh
UTF-8
136
2.609375
3
[]
no_license
#!/bin/bash # ejercicio 1 practica 3(parte 2) ls -l $1 | grep ^- | tr -s " " | cut -d " " -f 5,9 echo "" echo "Otra forma:" du -cah $1
true
fb8c51340b5cd4e501193db8dbe6736101dd5ddd
Shell
carlosroman/infrastructure-agent
/build/package/deb/postinst-sysv.sh
UTF-8
2,325
4
4
[ "Apache-2.0" ]
permissive
#!/bin/sh # DEB and SYSV distros: Debian 7 'Wheezy' serviceFile=/etc/init.d/newrelic-infra # check the run mode userMode=$(cat /tmp/nria_mode 2>/dev/null) # check usermode is set if [ -z "$userMode" ]; then userMode="ROOT" fi # check the user mode if [ "$userMode" != "ROOT" ] && [ "$userMode" != "PRIVILEGED" ] &&...
true
149908381714e836bfe665216eb26892ffa627c7
Shell
sinkingpoint/personal-infra
/cookbooks/prometheus/templates/default/backup_data.sh.erb
UTF-8
232
2.6875
3
[]
no_license
#!/bin/bash set -e to_backup=$(mktemp) docker restart prometheus tar -zcvf "${to_backup}" /opt/prometheus/storage aws s3 cp --region eu-west-2 "${to_backup}" s3://sinking-database-backups/prometheus/"latest.bak" rm "${to_backup}"
true
a9b58b8ee1f35fdd9453709993770c49f8eff5d2
Shell
pieterdavid/bamboo-delphesexample
/DelphesIO/getSources.sh
UTF-8
1,057
2.828125
3
[]
no_license
#!/bin/sh if [ $# != 1 ]; then echo "One argument, the Delphes version, is required" exit 1 fi delphestag="${1}" wget -q -P include "https://raw.githubusercontent.com/delphes/delphes/${delphestag}/classes/DelphesClasses.h" wget -q -P include "https://raw.githubusercontent.com/delphes/delphes/${delphestag}/classes/D...
true
44359593f2be92e8322de9ae5ae13b501b66d629
Shell
odin-lang/Odin
/build_odin.sh
UTF-8
5,218
3.578125
4
[ "BSD-3-Clause" ]
permissive
#!/usr/bin/env bash set -eu : ${CXX=clang++} : ${CPPFLAGS=} : ${CXXFLAGS=} : ${LDFLAGS=} : ${ODIN_VERSION=dev-$(date +"%Y-%m")} : ${GIT_SHA=} CXXFLAGS="$CXXFLAGS -std=c++14" LDFLAGS="$LDFLAGS -pthread -lm -lstdc++" if [ -d ".git" ] && [ $(which git) ]; then versionTag=( $(git show --pretty='%cd %h' --date=format:%Y...
true
e9395a08e6bb6e7a39b850bca06fd2401d286e7f
Shell
Xeuhua/usb-live-linux
/config/FSFW-Uni-Stick_KDE_jessie_amd64/config
UTF-8
3,021
3.375
3
[]
no_license
#!/bin/bash set -e DISTRIBUTION=jessie DESKTOP=KDE FSFW_UNI_STICK_VERSION="$(echo "$(../tools/calc-version-number.sh)")" lb config noauto \ --distribution ${DISTRIBUTION} \ --architectures amd64 \ --archive-areas "main contrib non-free" \ --binary-images iso-hybrid \ --updates true --backports=tr...
true
8f5d5c80da19ebe2e102db33293c629c30fb1357
Shell
peter0749/BashScript
/LeetCode_193_Valid_Phone_Numbers.sh
UTF-8
164
2.9375
3
[]
no_license
#!/bin/bash ## Valid Number: (xxx) xxx-xxxx or xxx-xxx-xxxx for all x in [0-9] grep -P '^(\([[:digit:]]{3}\)\ |[[:digit:]]{3}\-)[[:digit:]]{3}\-[[:digit:]]{4}$' $1
true
d32083443c0f7ec23e686e30f4dd8859cf766357
Shell
RHayabusa87/CYB6004_Scripting_Languages
/Portfolio/Week3/Before_Comments.sh
UTF-8
1,087
3.6875
4
[]
no_license
#!/bin/bash bash ../Week2/PasswordCheck.sh # https://stackoverflow.com/questions/13567947/run-bash-commands-from-txt-file while true; do if [[ $? -eq 0 ]] ; then echo -e "\e[31m 1. Create a folder 2. Copy a folder 3. Set a password 4. Calculator 5. Create Week Folders 6. Check Filenames ...
true
3a9c884fde4ce93c1732c497079c6d4832f9a0fd
Shell
sensedata1/script-skip
/all_functions.sh
UTF-8
480
3.921875
4
[]
no_license
#!/bin/bash source some_functions prompt_confirm() { while true; do read -r -n 1 -p "${1:-Continue?} [y/n]: " REPLY case $REPLY in [yY]) echo ; return 0 ;; [nN]) echo ; return 255 ;; *) printf " \033[31m %s \n\033[0m" "invalid input" esac done } declare -a arr=(func1 \ func2 \ ...
true
b5e3c68a86cf8a1f09a75e4ea8a6ad8a48dacfd2
Shell
ksarkar/dotfiles
/.bashrc
UTF-8
1,730
2.78125
3
[]
no_license
[ -f ~/.fzf.bash ] && source ~/.fzf.bash # General fzf settings. export FZF_DEFAULT_OPTS=" \ --inline-info \ --reverse \ --extended \ --height=70% \ --preview='bat --color "always" --style "numbers" {}' \ --preview-window=right:60%:wrap \ --color=fg+:#F8F8F8,bg+:#515559,pointer:#F8F8F8,marker:226 \ --b...
true
1a7a77ea9d7847f893deff19bed4b5ec3475a2aa
Shell
SYSC-4001-OS/assignment2
/testBench.bash
UTF-8
2,504
3.78125
4
[]
no_license
#!/bin/bash arg=$1 write=$false case $arg in -h | --help) echo -e "This test bench tests four scripts:\n fcfsScheduler fcfsSchedulerIO priorityQueueScheduler priorityQueueSchedulerIO\n\n The -w or --write option specifies that whatever is in testBench.bash (this script) should be written to the test files, thos...
true
f82a424042c2d57481a41f53af4ac30736944e12
Shell
mikegriffin/holland-prepost
/holland_post_rename_dir
UTF-8
626
3.796875
4
[]
no_license
#! /bin/bash # Script assumes that "backups-to-keep = 0" and "purge-policy = before-backup" # Be sure to "chmod +x holland_post_rename_dir" # example: # after-backup-command="/usr/local/bin/holland_post_rename_dir ${backupdir}" [[ "${#}" -eq 1 && -n "${1}" ]] || { echo "Bad arugments. Expecting Holland to invoke w...
true
a6aae7af173fa00400363b4098610f9bdd0072ff
Shell
genus-machina/recruit
/bin/make-image
UTF-8
251
3.328125
3
[]
no_license
#!/bin/bash -e DIRECTORY=$(dirname "${BASH_SOURCE[0]}") IMAGE="${1}" if [ -z "${IMAGE}" ] then echo "An image is required" exit 1 fi shift ${DIRECTORY}/download-image "${IMAGE}" ${DIRECTORY}/prepare-image "${IMAGE}" ${DIRECTORY}/../scripts/S*.sh
true
93f3dad7294eea090b00a19c777aeeff5ea1096a
Shell
naveen230/docker-uhttpd
/mac2.sh
UTF-8
283
2.71875
3
[ "MIT", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#This script generates MAC address and saves it to output.txt file. #!/bin/bash front="$(echo 00:0D:56: 00:0D:60: 00:0D:9D: 00:0D:28: 00:24:D6: | xargs shuf -n1 -e)" #order of vendors - DELL IBM HP CISCO INTEL end="7B:0C:9F" NEW_MAC=$front$end echo $NEW_MAC > "/root/output.txt"
true
26a106e1e9ace331bf1c8e2b9e93b5df0cdaf47d
Shell
elvisassis/Docker-PostGIS
/Nimble_Newt/packages/run.sh
UTF-8
1,737
4.28125
4
[ "MIT" ]
permissive
#!/bin/bash set -e log(){ echo "$(date +"%Y-%m-%d %T") > $1" >> /log.txt } # Generate locale LANG=${LOCALE}.${ENCODING} locale-gen ${LANG} > /dev/null log "Locale ${LOCALE}.${ENCODING} generated" # Check if command is just "run_default" if [ "$1" = 'run_default' ]; then log "Running server" # Check if...
true
81278cad9c391e5db2e4069736365d8218dbb54d
Shell
krasin/qemu-cortex-m3-exp
/hello/test.sh
UTF-8
498
2.53125
3
[]
no_license
#!/bin/sh set -ue # This script expects qemu-system-arm 1.4.0+ installed # Also, you will need Sourcery CodeBench Lite Edition toolchain # http://www.mentor.com/embedded-software/sourcery-tools/sourcery-codebench/editions/lite-edition/ # Don't forget to add toolchain's /bin directory to $PATH arm-none-eabi-gcc -o he...
true
6aae34c8e0bf664a279e8c68d515b0de70335029
Shell
jan-kaspar/analysis_elastic.1380GeV.beta11
/simulation/run_multiple_predefined
UTF-8
3,370
2.609375
3
[]
no_license
#!/bin/bash datasets=( "DS1" ) list=( "none" # #"si_th_y-1_th_x-1" # "si_th_y-1_th_x+0" # #"si_th_y-1_th_x+1" # "si_th_y+1_th_x+0" # # "de_p+1" # # "de_x+1+1" # "de_x-1+1" # "de_x+1-1" # # "de_y+1+1" # "de_y+1-1" # "de_y-1-1" # # "tilt+1+1" # "tilt+1-1" # ## "L_y+1+1" ## "L_y-1+1" # ## "L_x+1+1" ## "L_x+1-1" # #...
true
3c0b31e99f93c3c97fe6fe4d192cec42dca45fe5
Shell
passwordlandia/nagios
/syslogfinalserver.sh
UTF-8
713
2.515625
3
[]
no_license
#!/bin/bash yum -y install net-tools sed -i 's/#$ModLoad imudp/$ModLoad imudp/g' /etc/rsyslog.conf sed -i 's/#$UDPServerRun 514/$UDPServerRun 514/g' /etc/rsyslog.conf sed -i 's/#$ModLoad imtcp/$ModLoad imtcp/g' /etc/rsyslog.conf sed -i 's/#$InputTCPServerRun 514/$InputTCPServerRun 514/g' /etc/rsyslog.conf systemctl ...
true
cbbf7252054afb0e215cba506959f00d1a374a3b
Shell
herry13/smartfrog-lang
/haskell/Bin/runSF.sh
UTF-8
2,012
4.21875
4
[ "BSD-3-Clause", "BSD-2-Clause-Views" ]
permissive
#!/bin/sh # run an external SF compiler on the specified source file # put the JSON output in the specified destination file # munge any error messages and include them in the output file # (so that they can be more easily compared with messages from hsf) COMPILER=$1 SRCFILE=$2 DSTFILE=$3 CPATH=$4 usage() { echo "u...
true
171785eebe19d2ae6abe62049457c3d06bf982a4
Shell
plus3it/misc-tools
/bash/getglacierobjects.sh
UTF-8
2,521
3.640625
4
[ "Apache-2.0" ]
permissive
#!/bin/bash # # Really ugly script to perform ad hoc storage-reporting against # S3 buckets with lifecycle storage policies attached # ################################################################# REGION=${REGION:-us-east-1} PROFILE=${PROFILE:-default} PAGESZ=${PAGESZ:-10000} MAXITM=${MAXITM:-100000} BUCKET=${QUERY...
true
3f914568629edcb2fbdb00b36108653c48d244ec
Shell
xpaulz/jhipster-devbox
/scripts/setup.sh
UTF-8
6,583
2.984375
3
[]
no_license
#!/bin/sh # update the system sudo apt-get update sudo apt-get upgrade ################################################################################ # This is a port of the JHipster Dockerfile, # see https://github.com/jhipster/jhipster-docker/ ######################################################################...
true
e4926f485c6fa9ac75ba3286e209cfc69667bb93
Shell
sviande/NuxConfig
/zsh/aliases.zsh
UTF-8
555
2.546875
3
[]
no_license
alias dmesg='dmesg -L' alias egrep='egrep --color=auto' alias fgrep='fgrep --color=auto' alias grep='grep --color=auto' alias c='clear' alias l='ls -CF' alias la='ls -A' alias ll='ls -la --color' alias ls='ls --color=auto' alias vi="vim" alias svi="sudo -E vim" alias pong='ping free.fr -i 10' alias dit='docker exec...
true
cffb543363fbac3e8879f1fc4b441469364c166b
Shell
setaman/diva
/core/web-client/entrypoint.sh
UTF-8
1,231
3.4375
3
[ "Apache-2.0" ]
permissive
#!/bin/sh index_html="./index.html" echo "Setting ENV's..." for file in ./js/app.*.js*; do echo "Processing $file"; echo "VUE_APP_API_GATEWAY_URL: ${VUE_APP_API_GATEWAY_URL}" sed -i 's|http://localhost:8000|'$VUE_APP_API_GATEWAY_URL'|g' $file echo "VUE_APP_KEYCLOAK_URL: ${VUE_APP_KEYCLOAK_URL}" sed -i 's|...
true
caff925e78fbae853d89a03c92f432d250547603
Shell
scala/scala
/tools/pathResolver
UTF-8
159
2.796875
3
[ "MIT", "BSD-3-Clause", "Apache-2.0" ]
permissive
#!/bin/sh # WHICH=`which scala` BASE=`dirname $WHICH` LIBDIR=$BASE/../lib echo Using ${WHICH}. echo java -cp "${LIBDIR}/*" scala.tools.util.PathResolver $*
true
52fcb3cbb8f7506f1e1e8ccb92ac9302e2a17b0e
Shell
RichardBruskiewich/RTX
/code/kg2/extract-semmeddb.sh
UTF-8
1,889
3.78125
4
[ "MIT", "Apache-2.0", "LicenseRef-scancode-unknown-license-reference" ]
permissive
#!/usr/bin/env bash # extract-semmeddb.sh: download the SemMedDB release and convert it to a tuple-list JSON file # Copyright 2019 Stephen A. Ramsey <stephen.ramsey@oregonstate.edu> set -o nounset -o pipefail -o errexit if [[ "${1:-}" == "--help" || "${1:-}" == "-h" ]]; then echo Usage: "$0 <output_file.json> [te...
true
af1267fae7bd07180f0be629cb29e7bd184e928e
Shell
annishoelzel/five
/e/easyvdr-installer-4.95.0/installer/build/init
UTF-8
443
2.640625
3
[]
no_license
#! /bin/bash # niemals im chroot fs ausfuehren weil dort der Private-Key zum Signieren erforderlich ist... BASE="/home/ubuntu-builder/FileSystem/var/cache/apt-local-repo" cd $BASE/ rm Packages Packages.gz Release Release.gpg dpkg-scanpackages . /dev/null > Packages && gzip -9c Packages > Packages.gz apt-ftparchive r...
true
9164e204b850e5470233d90a3e78d8a8db6e5134
Shell
connectthefuture/dotfiles-16
/scripts/install-stow.sh
UTF-8
355
3.265625
3
[]
no_license
#!/bin/sh VERSION='2.2.2' BUILD_DIR='/tmp/build_stow' INSTALL_DIR="${HOME}/.local" FOLDER="stow-${VERSION}" FILE="${FOLDER}.tar.gz" URL="https://ftp.gnu.org/gnu/stow/${FILE}" mkdir -p "${BUILD_DIR}" mkdir -p "${INSTALL_DIR}" cd "${BUILD_DIR}" wget "${URL}" tar xzf "${FILE}" cd "${FOLDER}" ./configure --prefix="${...
true
e1754a5f11a24d50d34d77e50126d797f1282f7b
Shell
boriphuth/Ansible-2-for-Configuration-Management
/setup/create.sh
UTF-8
142
2.53125
3
[ "MIT" ]
permissive
#!/bin/bash MY_DIR="$(cd "${0%/*}" 2>/dev/null; echo "$PWD")" PLAYBOOK=${MY_DIR}/playbook.yaml ansible-playbook -i localhost, ${PLAYBOOK} $*
true
3e90cf666b31901fb023d04e29eb585821673761
Shell
AshyIsMe/bash-fun
/sysloggraph.sh
UTF-8
1,230
3.765625
4
[]
no_license
#!/bin/bash # Graph a daily count of syslog messages SCRIPTBASENAME=`basename $0` TMPFILE=`mktemp /tmp/${SCRIPTBASENAME}.XXXXXX` || error "Error openening temp file" # Data feed: # <Count> <Date> # eg. 42 "Aug 20" #syslog | cut -c 1-6 | uniq -c > $TMPFILE #syslog | sed -E '/^(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|...
true
084eb6ea3bcaa411a9abcc586d8f9377aa7051bb
Shell
wzc314/gem5-script
/run-x86.sh
UTF-8
1,287
3.265625
3
[]
no_license
#!/bin/bash rows=4 benchmark=bzip2 maxinsts=20000000 while getopts r:b:o:m: opt do case $opt in r) rows=$OPTARG;; b) benchmark=$OPTARG;; o) outdir=$OPTARG;; m) maxinsts=$OPTARG;; *) echo "Unknown option: $opt";; esac done if [ -z $outdir ];then #if the length of $outdir ...
true
6c8207de8f64cd65937f66c15cec13bebf9b70e9
Shell
igodorogea/neos-vagrant-demo
/provisioning/windows.sh
UTF-8
532
2.671875
3
[]
no_license
#!/usr/bin/env bash if [[ ! `which ansible-playbook` ]]; then sudo apt install -y software-properties-common sudo apt-add-repository ppa:ansible/ansible -y sudo apt update sudo apt upgrade -y sudo apt autoremove sudo apt autoclean sudo apt install -y ansible fi # Setup Ansible for Local Use and Run # cp /vagra...
true
ad9c5abcbfe22c0b112b571318a32a64369e9d18
Shell
kyrisu/desk
/bash_completion.sh
UTF-8
487
3.25
3
[ "MIT" ]
permissive
_desk() { COMPREPLY=() cur="${COMP_WORDS[COMP_CWORD]}" prev="${COMP_WORDS[COMP_CWORD-1]}" opts="init list ls . go help version" case "${prev}" in .|go|e|edit) IFS=$'\n' tmp=( $(compgen -W "$(ls ~/.desk/desks/)" -- "${COMP_WORDS[$COMP_CWORD]}" )) COMPREPLY=( "${tmp[@]%.*}" ) return 0 ...
true